--- old/usr/src/tools/scripts/nightly.sh	Wed Jul 17 21:59:20 2013
+++ new/usr/src/tools/scripts/nightly.sh	Wed Jul 17 21:59:20 2013
@@ -163,25 +163,6 @@
 	DEST=$1
 	PATTERN=$2
 	cd ${DEST}
-
-	OBJFILES=${ORIG_SRC}/xmod/obj_files
-	if [ ! -f ${OBJFILES} ]; then
-		return;
-	fi
-	for i in `grep -v '^#' ${OBJFILES} | \
-	    grep ${PATTERN} | cut -d: -f2 | tr -d ' \t'`
-	do
-		# wildcard expansion
-		for j in $i
-		do
-			if [ -f "$j" ]; then
-				echo $j
-			fi
-			if [ -d "$j" ]; then
-				echo $j
-			fi
-		done
-	done | sort | uniq
 }
 
 # function to save off binaries after a full build for later
@@ -415,55 +396,6 @@
 
 	echo "clearing state files." >> $LOGFILE
 	find . -name '.make*' -exec rm -f {} \;
-
-	cd ${DEST}
-	if [ "${MAKETARG}" = "CRYPT_SRC" ]; then
-		rm -f ${CODEMGR_WS}/crypt_files.cpio.Z
-		echo "\n==== xmod/cry_files that don't exist ====\n" | \
-		    tee -a $mail_msg_file >> $LOGFILE
-		CRYPT_FILES=${WS}/usr/src/xmod/cry_files
-		for i in `cat ${CRYPT_FILES}`
-		do
-			# make sure the files exist
-			if [ -f "$i" ]; then
-				continue
-			fi
-			if [ -d "$i" ]; then
-				continue
-			fi
-			echo "$i" | tee -a $mail_msg_file >> $LOGFILE
-		done
-		find `cat ${CRYPT_FILES}` -print 2>/dev/null | \
-		    cpio -ocB 2>/dev/null | \
-		    compress > ${CODEMGR_WS}/crypt_files.cpio.Z
-	fi
-
-	if [ "${MAKETARG}" = "EXPORT_SRC" ]; then
-		# rename first, since we might restore a file
-		# of the same name (mapfiles)
-		rename_files ${EXPORT_SRC} EXPORT_SRC
-		if [ "$SH_FLAG" = "y" ]; then
-			hybridize_files ${EXPORT_SRC} EXPORT_SRC
-		fi
-	fi
-
-	# save the cleartext
-	echo "\n==== Creating ${MAKETARG}.cpio.Z ====\n" | \
-	    tee -a $mail_msg_file >> $LOGFILE
-	cd ${DEST}
-	rm -f ${MAKETARG}.cpio.Z
-	find usr -depth -print | \
-	    grep -v usr/src/${MAKETARG}.out | \
-	    cpio -ocB 2>/dev/null | \
-	    compress > ${CODEMGR_WS}/${MAKETARG}.cpio.Z
-	if [ "${MAKETARG}" = "EXPORT_SRC" ]; then
-		restore_binaries ${EXPORT_SRC} EXPORT_SRC
-	fi
-
-	if [ "${MAKETARG}" = "CRYPT_SRC" ]; then
-		restore_binaries ${CRYPT_SRC} CRYPT_SRC
-	fi
-
 }
 
 # Return library search directive as function of given root.
@@ -1098,8 +1030,6 @@
 		O - build (only) open source
 '
 #
-#	-x	less public handling of xmod source for the source product
-#
 #	A log file will be generated under the name $LOGFILE
 #	for partially completed build and log.`date '+%F'`
 #	in the same directory for fully completed builds.
